ReadySetGoStyleManager Class Reference documentation

ReadySetGoStyleManager Class Reference

class to read/store ReadySetGo v1-v6 styles More...

`#include <ReadySetGoStyleManager.hxx>`

## Public Member Functions
| ReadySetGoStyleManager (ReadySetGoParser &parser)
| constructor
virtual | ~ReadySetGoStyleManager ()
| destructor
bool | getColor (int colorId, MWAWColor &color) const
| try to retrieve the i^th color
bool | getPattern (int patternId, MWAWGraphicStyle::Pattern &pattern) const
| try to retrieve a pattern
bool | readStyle (MWAWFont &font, MWAWParagraph &para, int *cPos=nullptr)
| try to read a style: v3
bool | readTabulationsV1 (std::vector< MWAWTabStop > &tabulations, std::string &extra)
| try to read a list of tabulations: v1-2
bool | readTabulations (std::vector< MWAWTabStop > &tabs, long len=-1, int *cPos=nullptr)
| try to read a list of tabulations: v3

## Protected Member Functions
int | version () const
| returns the file version
bool | readColors ()
| try to read the list of colors: v4.5
bool | readColorNames ()
| try to read the list of colors: v4.5
bool | readFontsBlock ()
| try to read the list of font block: unsure, name + data?, v4.5
bool | readFontsBlock2 ()
| try to read the optional list of font block: name + data?, v6
bool | readFontsName ()
| try to read the list of font name: v6
bool | readStyles (int numStyles)
| try to read the list of style block: v4

## Protected Attributes
ReadySetGoParser & | m_parser
| the main parser
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< ReadySetGoStyleManagerInternal::State > | m_state
| the state

## Friends
class | ReadySetGoParser

## Detailed Description

class to read/store ReadySetGo v1-v6 styles

## Constructor & Destructor Documentation

## ◆ ReadySetGoStyleManager()

ReadySetGoStyleManager::ReadySetGoStyleManager | ( | ReadySetGoParser & | parser | ) |
| explicit

constructor

## ◆ ~ReadySetGoStyleManager()

ReadySetGoStyleManager::~ReadySetGoStyleManager | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getColor()

bool ReadySetGoStyleManager::getColor | ( | int | colorId,
|  | MWAWColor & | color ) const

try to retrieve the i^th color

## ◆ getPattern()

bool ReadySetGoStyleManager::getPattern | ( | int | patternId,
|  | MWAWGraphicStyle::Pattern & | pattern ) const

try to retrieve a pattern

## ◆ readColorNames()

bool ReadySetGoStyleManager::readColorNames | ( |  | ) |
| protected

try to read the list of colors: v4.5

## ◆ readColors()

bool ReadySetGoStyleManager::readColors | ( |  | ) |
| protected

try to read the list of colors: v4.5

## ◆ readFontsBlock()

bool ReadySetGoStyleManager::readFontsBlock | ( |  | ) |
| protected

try to read the list of font block: unsure, name + data?, v4.5

## ◆ readFontsBlock2()

bool ReadySetGoStyleManager::readFontsBlock2 | ( |  | ) |
| protected

try to read the optional list of font block: name + data?, v6

## ◆ readFontsName()

bool ReadySetGoStyleManager::readFontsName | ( |  | ) |
| protected

try to read the list of font name: v6

## ◆ readStyle()

bool ReadySetGoStyleManager::readStyle | ( | MWAWFont & | font,
|  | MWAWParagraph & | para,
|  | int * | cPos = nullptr )

try to read a style: v3

Referenced by readStyles().

## ◆ readStyles()

bool ReadySetGoStyleManager::readStyles | ( | int | numStyles | ) |
| protected

try to read the list of style block: v4

## ◆ readTabulations()

bool ReadySetGoStyleManager::readTabulations | ( | std::vector< MWAWTabStop > & | tabs,
|  | long | len = -1,
|  | int * | cPos = nullptr )

try to read a list of tabulations: v3

Referenced by readStyles().

## ◆ readTabulationsV1()

bool ReadySetGoStyleManager::readTabulationsV1 | ( | std::vector< MWAWTabStop > & | tabulations,
|  | std::string & | extra )

try to read a list of tabulations: v1-2

## ◆ version()

int ReadySetGoStyleManager::version | ( |  | ) | const
| protected

returns the file version

Referenced by getPattern(), readColorNames(), readColors(), readFontsBlock(), readFontsBlock2(), readFontsName(), readStyle(), readStyles(), readTabulations(), and readTabulationsV1().

## Friends And Related Symbol Documentation

## ◆ ReadySetGoParser

friend class ReadySetGoParser
| friend

Referenced by ReadySetGoParser, and ReadySetGoStyleManager().

## Member Data Documentation

## ◆ m_parser

ReadySetGoParser& ReadySetGoStyleManager::m_parser
| protected

the main parser

Referenced by readColorNames(), readColors(), readFontsBlock(), readFontsBlock2(), readFontsName(), readStyle(), readStyles(), readTabulations(), readTabulationsV1(), ReadySetGoStyleManager(), and version().

## ◆ m_parserState

MWAWParserStatePtr ReadySetGoStyleManager::m_parserState
| protected

the parser state

Referenced by ReadySetGoStyleManager().

## ◆ m_state

std::shared_ptr<ReadySetGoStyleManagerInternal::State> ReadySetGoStyleManager::m_state
| protected

the state

Referenced by getColor(), getPattern(), readColors(), readStyle(), ReadySetGoStyleManager(), and version().

The documentation for this class was generated from the following files:

- ReadySetGoStyleManager.hxx
- ReadySetGoStyleManager.cxx